2 Replies Latest reply on Dec 4, 2012 4:59 AM by Kaewngam

    How do I install the CORRECT latest version for my Mac?

    stephanie_davis08 Level 1

      I'm trying to use a website that requires flash to create a photoalbum and it says I need version 11.5 of Flash. I tried to download it but it will not work. I came to the website and it says the newest verion is 11/5, but when I click to update it only offers me version 10.3. I tried uninstalling the version I have, as that is one of the solutions, but it did not help. I go to download the newest version and it still automatically offers version 10.3.

       

      This is incredibly frustrating.